import pymt940
import _renamer
from argparse import ArgumentParser

_renamer.rename_bt()
_renamer.delete_btrl('logged_btrl.csv',
                     'RO26BTRL01301202N63584XX.csv',
                     'RO26BTRL01301202N63584XX2.csv')

parser = ArgumentParser()
parser.add_argument('-b', '--bank', type=str, default=None, help='bank shortname')
parser.add_argument('-f', '--filename', type=str, default=None, help='name of the csv')

args = vars(parser.parse_args())

args['bank'] = 'transi'
args['filename'] = 'RO26BTRL01301202N63584XX2.csv'

if args['bank'] == 'uni':
    uni = pymt940.Unicredit(args['filename'], 'RO50BACX0000001138725000')
    uni.convert()
else:
    transi = pymt940.Transi(args['filename'], 'RO26BTRL01301202N63584XX')
    transi.convert()

# uni = pymt940.Unicredit('export.csv', 'RO50BACX0000001138725000')
# uni.convert()
# for i in uni.trans_df.values:
#     print(i[14])

# transi.convert()
# for i in transi.trans_df.values:
#     print(i[2])

# ------------------------------------------------------------------------------------
# class mt940Test(unittest.TestCase):
#     def runTest(self):
#         print(str(date.today()).replace('-', ''))
#
#
# unittest.main()
# ------------------------------------------------------------------------------------
